## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname rpds-py
%global modname rpds_py

Name:           python-rpds-py
Version:        0.25.0
Release:        %autorelease
Summary:        Python bindings to the Rust rpds crate
# Full license breakdown in LICENSES.dependencies
License:        MIT AND Apache-2.0 AND (MIT OR Apache-2.0) AND MPL-2.0
URL:            https://github.com/crate-py/rpds
Source:         %{pypi_source %{modname}}
# To create the vendor tarball:
#   tar xf %%{modname}-%%{version}.tar.gz ; pushd %%{modname}-%%{version} ; \
#   cargo vendor && tar Jcvf ../%%{modname}-%%{version}-vendor.tar.xz vendor/ ; pushd
Source:         %{modname}-%{version}-vendor.tar.xz

# The 'generate-import-lib' extension is only useful on MS Win
Patch:          do_not_require_win_only_pyo3_extension.patch

%if 0%{?rhel}
BuildRequires:  rust-toolset
%else
BuildRequires:  cargo-rpm-macros
%endif
BuildRequires:  dos2unix
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
Python bindings to the Rust rpds crate.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{modname}-%{version} %{?rhel:-a1}

# Fix line terminations
dos2unix README* LICENSE* *.pyi

# Fix for bad requirements dependency
sed -r -i 's/^file:/# &/' tests/requirements.in
# Remove test dependency not available and unused in Fedora
sed -i -e /pytest-run-parallel/d tests/requirements.in

%cargo_prep %{?rhel:-v vendor}
rm -f Cargo.lock


%generate_buildrequires
%pyproject_buildrequires tests/requirements.in
%if %{undefined rhel}
%cargo_generate_buildrequires
%endif


%build
export RUSTFLAGS='%{build_rustflags}'
export PYO3_USE_ABI3_FORWARD_COMPATIBILITY=1
%cargo_license_summary
%{cargo_license} > LICENSES.dependencies
%if %{defined rhel}
%cargo_vendor_manifest
%endif
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files -l rpds


%check
%pytest -vv


%files -n python3-%{srcname} -f %{pyproject_files}
%if %{defined rhel}
%license cargo-vendor.txt
%endif
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Wed Jun 11 2025 Python Maint <python-maint@redhat.com> - 0.25.0-3
- Rebuilt for Python 3.14

* Wed May 28 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 0.25.0-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
